# Files you need to run MD for the complex prot+lig:
# prot.pdb 
# lig.pdb (DRGPOH.PDB)
# lig.itp (DRGGMX.ITP)
# em.mdp
# pr.mdp
# md.mdp 

editconf_d -f lig.pdb -o lig.gro
pdb2gmx_d -ignh -ff gmx -f prot.pdb -o prot.gro -p prot.top -water spce

# Edit lig.gro and copy coordinates to prot.gro. Add the number of atoms to the second line of prot.gro.
# Edit prot.top and add a line #include "lig.itp", after forcefield,
# Include infomation about the ligand in the last line.
# Include the following line:LIG              1

editconf_d -bt cubic -f prot.gro -o prot.gro -d 1.0
genbox_d -cp prot.gro -cs spc216.gro -o prot_b4ion.gro -p prot.top
grompp_d -f em.mdp -c prot_b4ion.gro -p prot.top -o prot_b4ion.tpr

# You will get the note "Note: system has non-zero charge".
# You will use this information in "genion"

genion_d -s prot_b4ion.tpr -o prot_b4em.gro -nname Cl -nn 4 -g prot_ion.log

# Choose 13.
# Edit prot.top and subtract the number of charges from the number of solvent molecules
# The number of solvent molecules was 18726:
#SOL             18726  
# and it will be: 
#SOL             18722
# Add information about the ion
#Cl         4
# Next step "Energy Minimization" (EM)

grompp_d -f em.mdp -c prot_b4em.gro -p prot.top -o em.tpr
mdrun_d -v -s em.tpr -e em -o em -c after_em -g emlog >& em.job &

# If everthing is fine you will get the following message.
# "Steepest Descents converged to Fmax < 1000 in 2317 steps"
# The number of steps may vary. It takes over 32 minutes (pentium duo 2 core)
# Now "Positional Restraint" (PR) 

grompp_d -f pr.mdp -c after_em.gro -p prot.top -o pr.tpr 
mdrun_d -v -s pr -e pr -o pr -c pr -g prlog >& pr.job &

# It took over 12 minutes
# Next step MD

grompp_d -f md.mdp -c pr.gro -p prot.top -o md.tpr
mdrun_d -v -s md.tpr -e md -o md -c md -g mdlog>& md.job &
