#Arquivos necessários para a MD do complexo prot+lig:
# prot.pdb 
# lig.pdb (DRGPOH.PDB)
# lig.itp (DRGGMX.ITP)
# spc216.gro
# em.mdp
# pr.mdp
# md.mdp 

editconf -f lig.pdb -o lig.gro
pdb2gmx -ignh -ff gmx -f prot.pdb -o prot.gro -p prot.top -water spce

# Editar lig.gro e copiar as coordenadas atomicas para o prot.gro. Adicionar o número de átomos na segunda linha do arquivo prot.gro.
# Editar o arquivo prot.top e adicionar a linha #include "lig.itp", depois do forcefield, incluir informacao sobre o ligante na última linha.
# A informacao a ser adicionada na ultima linha e a seguinte:
#RRC                 1

editconf -bt cubic -f prot.gro -o prot.gro -d 1.0
genbox -cp prot.gro -cs spc216.gro -o prot_b4ion.gro -p prot.top
grompp -f em.mdp -c prot_b4ion.gro -p prot.top -o prot_b4ion.tpr

# Neste passo teremos a mensagem "Note: system has non-zero charge", bem como a indicacao da carga. Esta informacao será usada no "genion"

genion -s prot_b4ion.tpr -o prot_b4em.gro -nname Cl -nn 4 -g prot_ion.log

#Escolha a opcao 13.
#Editar o arquivo prot.top e subtrair o número de carga do número de moléculas de solvente
#A linha com informacao sobre solvente era:
#SOL             18725  
# e passa a ser:
#SOL             18721
#Agora adicionamos uma linha com o ion, por exemplo Cl, como segue:
#Cl         4

grompp -f em.mdp -c prot_b4em.gro -p prot.top -o em.tpr
mdrun -v -s em.tpr -e em -o em -c after_em -g emlog >& em.job &

# O próximo passo e o "Positional Restraint" (PR) 

grompp -f pr.mdp -c after_em.gro -p prot.top -o pr.tpr 
mdrun -v -s pr -e pr -o pr -c pr -g prlog >& pr.job &

# Este processo demora por volta de 80 minutos no laptop

# O próximo passo é a MD por 500 ps ( um dia máquina)

grompp -f md.mdp -c pr.gro -p prot.top -o md.tpr
mdrun -v -s md.tpr -e md -o md -c md -g mdlog>& md.job &
